WordPress cdnvote plugin “cdn_vote_postid”, “cdnvote_point” SQL befecskendezés sérülékenység

CH azonosító

CH-4432

Angol cím

WordPress cdnvote Plugin "cdn_vote_postid" / "cdnvote_point" SQL Injection

Felfedezés dátuma

2011.02.22.

Súlyosság

Közepes

Érintett rendszerek

WordPress
cdnvote plugin

Érintett verziók

WordPress cdnvote plugin 0.x

Összefoglaló

A WordPress cdnvote bővítményének olyan sérülékenysége vált ismertté, amelyet a támadók kihasználhatnak SQL befecskendezéses támadások indítására.

Leírás

A cdnvote-post.php “cdn_vote_postid” és “cdnvote_point” paramétereinek átadott bemenetek nincsenek megfelelően ellenőrizve, mielőtt SQL lekérdezésekben használnák őket. Ez kihasználható az SQL lekérdezések módosítására tetszőleges kód befecskendezésével.

A sérülékenységeket a 0.4.1. verzióban igazolták, de más verziók is érintettek lehetnek.

Megoldás

Javítsa a forráskódot a bemenet megfelelő ellenőrzése érdekében

Legfrissebb sérülékenységek
CVE-2023-33960 – OpenProject sérülékenysége
CVE-2023-32324 – OpenPrinting CUPS sérülékenysége
CVE-2023-28066 – Dell OS Recovery Tool sérülékenysége
CVE-2023-26278 – IBM QRadar WinCollect Agent sérülékenysége
CVE-2023-26277 – IBM QRadar WinCollect Agent sérülékenysége
CVE-2023-33175 – Python ToUI modul sérülékenysége
CVE-2023-27988 – Zyxel NAS326 firmware sérülékenysége
CVE-2023-32074 – Nextcloud User OIDC (OpenID Connect) sérülékenysége
CVE-2023-0950 – LibreOffice sérülékenysége
CVE-2023-2868 – Barracuda Email Security Gateway sérülékenysége
Tovább a sérülékenységekhez »